Summary:	A simple converter to create Ogg Theora files
Name:		ffmpeg2theora
Version:	0.30
Release:	%mkrel 3
Group:		Video/Editors and Converters
License:	GPLv3
URL:		http://www.v2v.cc/~j/ffmpeg2theora/
Source0:	http://v2v.cc/~j/ffmpeg2theora/downloads/%{name}-%{version}.tar.bz2
Patch0:		ffmpeg2theora-0.29-link.patch
BuildRequires:	ffmpeg-devel >= 0.8
BuildRequires:	libvorbis-devel
BuildRequires:	libtheora-devel
BuildRequires:	scons
BuildRequires:	libkate-devel

%description
Simple converter to create Ogg Theora files.

%prep
%setup -q
%autopatch -p1

%build
scons prefix=%_prefix mandir=%_mandir APPEND_LINKFLAGS="%ldflags" APPEND_CCFLAGS="%optflags"

%install
scons install destdir=%buildroot prefix=%_prefix mandir=%_mandir APPEND_LINKFLAGS="%ldflags" APPEND_CCFLAGS="%optflags"
install -D %name.1 %buildroot%_mandir/man1/%name.1

cat > %{_builddir}/%{name}-%{version}/README.mga << EOF

some examples using ffmpeg2theora:

to convert your DV file, called videoclip.dv to Ogg Theora:

ffmpeg2theora videoclip.dv

this will create an Ogg Theora file called videoclip.dv.ogg.

to encode with another quality, lets say Video Quality 7 and Audio Quality 3:

ffmpeg2theora -v 7 -a 3 videoclip.dv

you can also use the v2v Presets to encode your video

ffmpeg2theora -p preview videoclip.dv

or

ffmpeg2theora -p pro videoclip.dv

on linux you can use ffmpeg2theora to stream to an icecast server:
this needs the latest icecast-kh version and a small tool to send the ogg stream to the icecast server.

dvgrab --format raw - | \
     ffmpeg2theora -a 0 -v 5 -f dv -x 320 -y 240 -o /dev/stdout - | \ 
     oggfwd  icecastserver  8000 pwd /theora.ogg

crop the input

ffmpeg2theora --croptop 16 --cropbottom 16 --cropright 32 --cropleft 8 file.avi

further examples and discussion

EOF

%files 
%doc COPYING ChangeLog AUTHORS README TODO README.mga
%{_bindir}/%{name}
%_mandir/man1/%name.1*


%changelog
* Tue May 02 2017 akien <akien> 0.30-3.mga6
+ Revision: 1098283
- Rebuild for ffmpeg 3.3

* Wed Mar 08 2017 akien <akien> 0.30-2.mga6
+ Revision: 1089850
- Rebuild for ffmpeg 3.2.4

  + vaci0 <vaci0>
    - Update to new version 0.30

* Mon Feb 08 2016 umeabot <umeabot> 0.29-10.mga6
+ Revision: 950665
- Mageia 6 Mass Rebuild

* Fri Nov 14 2014 akien <akien> 0.29-9.mga5
+ Revision: 797142
- Rebuild for ffmpeg 2.4

* Wed Oct 15 2014 umeabot <umeabot> 0.29-8.mga5
+ Revision: 739324
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.29-7.mga5
+ Revision: 679170
- Mageia 5 Mass Rebuild

* Sun Jul 06 2014 fwang <fwang> 0.29-6.mga5
+ Revision: 644160
- fix linkage

* Sat Oct 19 2013 umeabot <umeabot> 0.29-5.mga4
+ Revision: 529789
- Mageia 4 Mass Rebuild

* Fri Jul 12 2013 fwang <fwang> 0.29-4.mga4
+ Revision: 453359
- apply patch
- fix build with ffmpeg 2.0

* Fri Jan 11 2013 umeabot <umeabot> 0.29-3.mga3
+ Revision: 350260
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 fwang <fwang> 0.29-2.mga3
+ Revision: 341619
- update rpm group
- rebuild for new ffmpeg

* Sat Aug 04 2012 vaci0 <vaci0> 0.29-1.mga3
+ Revision: 278414
- Updated to version 0.29

* Thu May 31 2012 fwang <fwang> 0.28-2.mga3
+ Revision: 252059
- more fix
- add upstream patch
- more fix
- fix build with ffmpeg 0.11

* Fri Jan 27 2012 fwang <fwang> 0.28-2.mga2
+ Revision: 202180
- fix build with latest ffmpeg
- use our own build flags
- rebuild for new ffmpeg

* Wed Sep 07 2011 tv <tv> 0.28-1.mga2
+ Revision: 140277
- new release

* Sun Jun 26 2011 fwang <fwang> 0.27-4.mga2
+ Revision: 113843
- sync to trunk code to build with ffmpeg 0.8
- more patch against ffmpeg 0.8
- fix build with ffmpeg 0.8
- rebuild for new ffmpeg

* Thu Apr 07 2011 ahmad <ahmad> 0.27-3.mga1
+ Revision: 81984
- compile with default flags
- ship subtitles.txt
- add ptch to fix format string
- fix license
- imported package ffmpeg2theora

